SELECT
	<%(?get_send)(SELECT
		COUNT(1)
	FROM
		mail_log
	WHERE
		mail_type = '%type'
		AND remote_addr = '%remote_addr'
		AND sent_at >= CURRENT_TIMESTAMP - interval '%minutes min')::NULL%> AS sendcount,
	<%(?get_recv)(SELECT
		COUNT(1)
	FROM
		mail_log
	WHERE
		mail_type = '%type'
		AND email = '%email'
		AND sent_at >= CURRENT_TIMESTAMP - interval '%minutes min')::NULL%> AS recvcount,
	<%(?get_ad)(SELECT
		COUNT(1)
	FROM
		mail_log
	WHERE
		mail_type = '%type'
		AND list_id = '%list_id'
		AND sent_at >= CURRENT_TIMESTAMP - interval '%minutes min')::NULL%> AS adcount
;
